@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&family=Montserrat:wght@400;700&display=swap');

* {
/*  box-sizing: border-box;*/
  margin: 0;
  padding: 0;
}

body{
	font-family: 'Poppins', sans-serif;
/*	overflow-x: hidden;*/
	scroll-behavior: smooth;
  font-size: 1rem;
  color: #1b2f55;
}

.montserat_font {
  font-family: 'Montserrat', sans-serif
}

a {
    color: inherit;
    text-decoration: none;
    font-weight: inherit;
}

a:visited {
    color: inherit;
}

a:hover {
    text-decoration: none;
    opacity: 0.9;
}

a:active,
a:focus {
    outline: none;
    color: inherit;
}


ul {
  list-style: none;
}

img {
  max-width: 100%;
}

.animate, .animate1 {
  opacity: 0;
}

.top-bar {
  background: #0b1c2d;
  color: #fff;
}

.top-bar a {
  color: #fff;
}

.mobile-topbar {
  background: #fff;
  z-index: 1050; /* nad resztą */
  border-bottom: 1px solid rgba(0,0,0,0.1);
}

.mobile-logo img {
  height: 90px;
  width: auto;
  margin-bottom: -55px;
}

.menu-toggle {
  background: none;
  border: none;
  color: #000;          /* czarny hamburger */
  font-size: 2rem;
  padding: 0;
  line-height: 1;
}

.mobile-menu li {
  margin-bottom: 16px;
}

.mobile-menu a {
  color: #000;
  text-decoration: none;
  font-size: 1rem;
  letter-spacing: 0.05em;
}

.mobile-menu .highlight a {
  color: #f5c400;
}

.mobile-contact a {
  color: inherit;
  text-decoration: none;
}

.offcanvas-backdrop.show {
  backdrop-filter: blur(4px);
  background-color: rgba(0,0,0,0.4);
}

.offcanvas {
  width: 290px !important;
  z-index: 2000;
  font-size: 0.9rem;
}


.socials a {
  opacity: 0.9;
}

.socials a:hover {
  opacity: 1;
}


#baner{
/*  height: max(80vh, 550px);*/
  background-image: url(../img/baner-bg.jpg);
  background-position: top;
  background-repeat: no-repeat;
  background-size: cover;
}

.chain{
  height: 30px;
  background-image: url(../img/chain.png);
  position: relative;
  padding-top: 60px;
  background-repeat: repeat-x;
  background-position: center;
}

@media (max-width: 767.98px) {
  .chain{
    opacity: 0;
  }
  .chain_3{
    display: none;
  }
  .chain_blue{
    opacity: 1;
  }
}

.chain_blue{
  background-image: url(../img/chain_blue.png);
}


.logo-wrap {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  
  padding: 10px;         
  background: #fff;
  border-radius: 50%;
  z-index: 10;
}

.logo-wrap img {
  display: block;
  height: 120px;             
  width: auto;
  border-radius: 50%;
}

.logo-wrap_blue{
  background: #e7f3fa;
}
}

@media (max-width: 991.98px) {
  .chain {
    padding-top: 120px;
  }
  .logo-wrap img {
    height: 75px;
  }
}

.main-menu {
  position: relative;
  z-index: 5;
  margin-top: 65px;
}

.main-menu ul {
  padding: 0;
  list-style: none;
}

.main-menu a {
  color: rgba(255, 255, 255, 0.9);
  text-decoration: none;
  font-size: 0.95rem;
  font-weight: bold;
  letter-spacing: 0.05em;
  opacity: 1;
  transition: opacity 0.2s ease;
}

.main-menu a:hover {
  opacity: 0.8;
}

.main-menu .highlight a {
  color: #f5c400; 
}

.main-menu {
  transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

.main-menu.is-sticky {
  margin-top: 0;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: #fff;
  z-index: 1050;
  box-shadow: 0 2px 10px rgba(0,0,0,0.08);
}

.main-menu.is-sticky a {
  color: #1b2f55;
}



.hero-title {
  margin-top: 50px;
/*  position: absolute;          /* jeśli baner ma position: relative */*/
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  z-index: 2;
}

@media (max-width: 767.98px) {
  .hero-title {
    margin-top: 0px;
  }
}

.hero-title h1 {
  color: #fff;
  opacity: 0.8;
  font-size: clamp(2.5rem, 6vw, 5rem);
  font-weight: 900;
  line-height: 1.2;
  text-transform: uppercase;
  margin: 0;
}

.hero-subtitle {
  margin-top: 12px;
  color: #f5c400;
  font-size: clamp(1.1rem, 2.5vw, 1.4rem);
  font-weight: 600;
  text-align: center;
/*  letter-spacing: 0.04em;*/
   padding-inline: 10px;
}

.hero-desc {
  margin-top: 40px;
  color: #fff;
  opacity: 0.9;
  font-size: clamp(0.95rem, 2.3vw, 1.1rem);
  text-align: center;
  line-height: 1.5;

  padding-inline: 10px; /* jak przy subtitle */
}

.icon-check {
  height: 50px;
  width: auto;
  padding: 10px;
}

.banner-bottom {
    font-size: 1.2rem;
  }

@media (min-width: 768px) and (max-width: 991.98px) {
  .banner-bottom {
    font-size: 0.85rem;
  }
}

#onas{
  scroll-margin-top: 50px;
  background-color: #f1f8ff;
  min-height: 200px;
}

.section-header {
  margin-bottom: 15px;
}

.section-label {
  font-size: clamp(2rem, 4vw, 2.5rem);
  font-weight: 900;
  text-transform: uppercase;
  color: #1b2f55;
}

.section-title {
  margin-top: 6px; 
  font-size: clamp(2rem, 4vw, 2.5rem);
  font-weight: 700;
  color: #7b0d00;   /* bordo */
  line-height: 1.1;
  padding-left: 50px;
}

#onas p {
  line-height: 1.4;
  font-size: 0.85rem;
}

#whywe h1{
  font-weight: 700;
  font-size: 3rem;
}

.icons_undertext {
  font-size: 1.2rem;
  font-weight: bold;
}

#oferta{
  background-color: #f1f8ff;
}

#oferta1{
  scroll-margin-top: 80px;
}

.oferta-list{
  list-style: disc;
  line-height: 1.8;
}


.oferta-img{
  height: 450px;
  width: auto;
}

#oferta .section-title {
  padding-left: 0px;
}

#aplikuj{
  background-color: #1f2c52;
  line-height: 1.3;
  scroll-margin-top: 40px;
 /* padding-top: 30px;
  padding-bottom: 30px;*/
}

.dla-pracownikow-bg {
  background-color: #1f2c52;
  background-image: url("../img/port3.png");
  background-repeat: no-repeat;
  background-position: right center;
  background-size: contain;
}

@media (max-width: 1199.98px) {
  .dla-pracownikow-bg {
    background-size: 35% auto;
  }
}


/* MOBILE – tło znika */
@media (max-width: 767.98px) {
  .dla-pracownikow-bg {
    background-image: none;
  }
}

.btn-aplikuj {
  background-color: #851712;
  color: #fff;
  padding: 0.65rem 1.6rem;
  font-weight: 600;
  text-transform: uppercase;
  border-radius: 0;
  border: none;
}

.btn-aplikuj:hover {
  background-color: #6e120f;
  color: #fff;
}

footer {
  background-color: #e7f3fa;
  font-size: 0.8rem;
  font-weight: bold;
}

.btn-rodo {
  background: #fff;
  color: #1b2f55;
  border: 2px solid #1b2f55;
  padding: 0.45rem 1.4rem;
  font-weight: 600;
  border-radius: 0;
  font-size: 0.8rem;
}

.btn-rodo:hover {
  background: #1b2f55;
  color: #fff;
}
.footer_class{
  font-size: 0.8rem;
  font-weight: bold;
}

@media (max-width: 575.98px) {
  .footer_class {
    font-size: 0.65rem;
  }
}

.main-header {
  position: relative;
}

.main-header::after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: 0;
  transform: translateX(-50%);
  width: 90%;
  height: 1px;

  background: linear-gradient(
    to right,
    transparent,
    rgba(255, 255, 255, 0.35),
    transparent
  );
}

.cien {
   text-shadow:
    0 0 10px rgba(0,0,0,0.9),
    0 10px 18px rgba(0,0,0,0.6);
}

.content-section {
  font-size: 0.9rem;
  line-height: 1.7;
}

.content-section hr {
  margin: 25px 0;
  border: none;
  height: 1px;
  background-color: #1b2f55;
  opacity: 0.9;
}

.content-section li {
  list-style: disc;
}

.content-section h4 {
  font-weight: bold;
}

.content-section h5 {
  font-weight: bold;
  font-size: 1.1rem;
}
.team-content{
  font-size: 0.85rem;
}

form.needs-validation {
  background-color: #1b2f55;
  border-radius: 16px;
  padding: 30px;
}

form.needs-validation .form-control {
  border-radius: 8px;
  border: none;
}

form.needs-validation .form-control:focus {
  box-shadow: 0 0 0 2px rgba(255,255,255,0.25);
}

.contact-card {
  position: relative;
  background-color: #f3f8ff;
  border-radius: 16px;
  padding: 30px;
  height: 100%;
}

.contact-card p {
  color: #1b2f55;
}

.contact-card .phone {
  font-size: 1.4rem;
  font-weight: 300;
}

.contact-card .phone i {
  margin-right: 8px;
  color: #1b2f55;
}

.contact-card .phone a {
  color: inherit;
  text-decoration: none;
  
}

.contact-illustration {
  position: absolute;
  right: 20px;
  bottom: 20px;
  max-width: 150px;
}
